For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList actions for an object
        • POSTCreate an action on an object
        • GETRetrieve an action
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationActions

Create an action on an object

POST
https://api.middesk.com/v1/actions
POST
/v1/actions
$curl -X POST https://api.middesk.com/v1/actions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "object_type": "businesses",
> "object_id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
> "type": "add_sources",
> "payload": {
> "sources": [
> {
> "source_type": "faa_airmen_certificate",
> "source_name": "FAA Airmen Registry",
> "tier": "government",
> "url": "https://faa.gov/pilots/records",
> "addresses": [
> {
> "full_address": "123 Main St, San Francisco, CA 94102"
> }
> ],
> "people": [
> {
> "name": "Kyle Mack",
> "titles": [
> "Registered Agent"
> ]
> }
> ]
> }
> ]
> },
> "note": "Adding government verification source",
> "thread_id": "11111111-2222-3333-4444-555555555555",
> "run_id": "66666666-7777-8888-9999-000000000000"
>}'
1{
2 "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
3 "type": "add_sources",
4 "object_type": "Business",
5 "object_id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
6 "created_at": "2026-01-15T12:00:00Z",
7 "effects": [
8 {
9 "operation": "created",
10 "diff": null,
11 "target": {
12 "object": "faa_airmen_certificate",
13 "id": "c1d2e3f4-5678-90ab-cdef-1234567890ab"
14 }
15 }
16 ],
17 "actors": [
18 {
19 "actor_type": "account",
20 "data": {
21 "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
22 "name": "Example Account"
23 }
24 },
25 {
26 "actor_type": "run",
27 "data": {
28 "id": "66666666-7777-8888-9999-000000000000",
29 "thread_id": "11111111-2222-3333-4444-555555555555",
30 "status": "running",
31 "agent": "address_verification"
32 }
33 }
34 ],
35 "note": "Adding government verification source",
36 "metadata": {
37 "key": "value"
38 }
39}
Was this page helpful?
Previous

Retrieve an action

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
object_typeenumRequired
Type of object to perform the action on
Allowed values:
object_idstringRequiredformat: "uuid"
ID of the object to perform the action on
typeenumRequired
The type of action to perform
Allowed values:
payloadmap from strings to anyRequired

Action-specific parameters (varies by action type)

notestringOptional
Optional text note describing the reason for the action
thread_idstringOptionalformat: "uuid"
Optional operator thread ID used to resolve an action actor
run_idstringOptionalformat: "uuid"
Optional operator run ID used to resolve an action actor

Response

action created - verify TIN

idstringformat: "uuid"
typeenum
The action type that was performed
object_typeenum
The type of object the action was performed on
Allowed values:
object_idstringformat: "uuid"
The ID of the object the action was performed on
created_atdatetime
effectslist of objects
List of effects describing what changed
actorslist of objects
List of actors describing who initiated the action
notestring or null
Optional text note describing the reason for the action
metadatamap from strings to any
Additional metadata associated with the action

Errors

400
Create Action Request Bad Request Error
404
Create Action Request Not Found Error
422
Create Action Request Unprocessable Entity Error